image: maven:3-jdk-8

variables:
  MAVEN_CLI_OPTS: "-s maven-settings.xml --batch-mode"
  MAVEN_OPTS: "-Dmaven.repo.local=.m2/repository"

stages:
  - compile
  - test
  - package
  - deploy

compile:
  stage: compile
  script:
    - mvn clean compile $MAVEN_CLI_OPTS

package-snapshot:
  stage: package
  script:
    - mvn package $MAVEN_CLI_OPTS
  except:
    - master

package-release:
  stage: package
  script:
    - mvn package deploy $MAVEN_CLI_OPTS
  only:
    - master

